import dynamix_sdk.base as _base


class CloudbrokerComputeCloneAbortResultBool(
    _base.BaseAPIResultBool,
):
    pass


class CloudbrokerComputeCloneAbortProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def clone_abort(
        self,
        *,
        vm_id: int,
    ) -> CloudbrokerComputeCloneAbortResultBool:
        ...
